# Export Orders

**URL** : `/api/v1/orders/export/`

**Method** : `GET`

#### Query parameters

**Period**

Either `range` or (`from` and `to`) query parameters are required.

* `range` - Orders created in last number of days specified.
  * Valid values: `last30`, `last60`, `last180`, `last365`
  * Example: `range=last30`
* `from` - Orders created after this date.
  * Format: `YYYY-MM-DD`
  * Example: `from=2020-07-04`
* `to` - Orders created before this date.
  * Format: `YYYY-MM-DD`
  * Example: `to=2020-07-10`

#### Success Response

**Code** : `200 OK`

**Content examples** :

```csv
id,created_at,customer_first_name,customer_last_name,customer_email,license_key,license_created_at,license_type,license_time_activated,license_max_activations,license_times_activated,license_active,license_features,license_prevent_vm,license_valid_duration,license_validity_period,license_max_consumptions,license_total_consumptions,license_subscription_id,license_last_check,license_allow_overages,license_max_overages,license_reset_consumption,license_consumption_period,license_user_emails,license_custom_fields
1593781720493279,2020-07-03 13:08:40+00:00,,,,,2020-07-03 13:08:40+00:00,perpetual,,5,0,False,,False,,,0,0,,,False,0,False,,,cf3=3|cf2=5
1593781746897309,2020-07-03 13:09:06+00:00,,,,,2020-07-03 13:09:06+00:00,perpetual,,1,0,False,,False,,,,0,,,False,0,False,,,cf3=3|cf2=5
1593781767723339,2020-07-03 13:09:27+00:00,,,,,2020-07-03 13:09:27+00:00,perpetual,,1,0,False,,False,,,,0,,,False,0,False,,,cf3=3|cf2=5
1593781774572369,2020-07-03 13:09:34+00:00,,,,,2020-07-03 13:09:34+00:00,perpetual,,1,0,False,,False,,,,0,,,False,0,False,,,cf3=3|cf2=5
1594125329305839,2020-07-07 12:35:29+00:00,,,,,2020-07-07 12:35:29+00:00,perpetual,,10,0,False,,False,,,0,0,,,False,0,False,,,cf3=3|cf2=5
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.licensespring.com/management-api/order/export-orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
